org.apache.cassandra.db.commitlog

## Class CommitLogReplayer.MutationInitiator

- java.lang.Object
- - org.apache.cassandra.db.commitlog.CommitLogReplayer.MutationInitiator

Enclosing class:
  CommitLogReplayer

    public static class CommitLogReplayer.MutationInitiator
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`MutationInitiator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.util.concurrent.Future<java.lang.Integer>` `initiateMutation(Mutation mutation, long segmentId, int serializedSize, int entryLocation, CommitLogReplayer commitLogReplayer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MutationInitiator

    public MutationInitiator()

### Method Detail

#### initiateMutation

    protected java.util.concurrent.Future<java.lang.Integer> initiateMutation(Mutation mutation,
                                                                              long segmentId,
                                                                              int serializedSize,
                                                                              int entryLocation,
                                                                              CommitLogReplayer commitLogReplayer)